Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 521654 - spamassassin's init script doesn't support force-reload option
Summary: spamassassin's init script doesn't support force-reload option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: spamassassin
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-07 13:05 UTC by Ales Zelinka
Modified: 2010-01-19 20:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 20:25:09 UTC
Type: ---


Attachments (Terms of Use)

Description Ales Zelinka 2009-09-07 13:05:54 UTC
Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts every initscript should support the force-reload option. Spamassassin does not:

# service spamassassin force-reload
Usage: /etc/init.d/spamassassin {start|stop|restart|status|condrestart}



Version-Release number of selected component (if applicable):
spamassassin-3.3.0-0.6.alpha2.fc12.x86_64

Comment 1 Warren Togami 2009-09-15 20:25:09 UTC
I am fixing the other Bug #521650 upstream, but I will not fix this bug until the packaging committee has clarified what exactly should be mandatory and what should be optional.

You are confusing the issue by pointing at https://fedoraproject.org/wiki/FCNewInit/Initscripts which describes things in conflict with the actual packaging guidelines at https://fedoraproject.org/wiki/Packaging/SysVInitScript

Furthermore LSB compliance is not a requirement in of itself.

Comment 2 Ales Zelinka 2009-09-16 09:54:31 UTC
no problem. thanks for the clarification.


Note You need to log in before you can comment on or make changes to this bug.